summaryrefslogtreecommitdiffstats
path: root/games/zsnes
diff options
context:
space:
mode:
author Antonio Hern√°ndez Blas <hba.nihilismus@gmail.com>2010-05-13 00:27:40 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:27:40 +0200
commit25044f2b8191df4be0776e9a03551b32fefc9c10 (patch)
treeb0cab248c7b36d4221c645c5a0ab5dd8051b6029 /games/zsnes
parent14ccf40e411a7a17ff6d0150f498855a5ca6e7ce (diff)
downloadslackbuilds-25044f2b8191df4be0776e9a03551b32fefc9c10.tar.gz
slackbuilds-25044f2b8191df4be0776e9a03551b32fefc9c10.tar.xz
games/zsnes: Updated for version 1.51b
Diffstat (limited to 'games/zsnes')
-rw-r--r--games/zsnes/doinst.sh1
-rw-r--r--games/zsnes/slack-desc6
-rw-r--r--games/zsnes/zsnes.SlackBuild38
-rw-r--r--games/zsnes/zsnes.desktop2
-rw-r--r--games/zsnes/zsnes.info10
5 files changed, 30 insertions, 27 deletions
diff --git a/games/zsnes/doinst.sh b/games/zsnes/doinst.sh
index b310837870..392c12adb9 100644
--- a/games/zsnes/doinst.sh
+++ b/games/zsnes/doinst.sh
@@ -1,4 +1,3 @@
-
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications
fi
diff --git a/games/zsnes/slack-desc b/games/zsnes/slack-desc
index 90d849fbde..10318890f2 100644
--- a/games/zsnes/slack-desc
+++ b/games/zsnes/slack-desc
@@ -13,7 +13,7 @@ zsnes: On April 2, 2001 the ZSNES project was GPL'ed and its source released
zsnes: to the public. It currently runs on Windows, Linux, FreeBSD, and DOS.
zsnes: Remember that this is a public beta so don't expect this to run on
zsnes: your machine.
-zsnes:
+zsnes:
zsnes: Homepage: http://www.zsnes.com
-zsnes:
-zsnes:
+zsnes:
+zsnes:
diff --git a/games/zsnes/zsnes.SlackBuild b/games/zsnes/zsnes.SlackBuild
index 993e2f0f52..7eaa8b308f 100644
--- a/games/zsnes/zsnes.SlackBuild
+++ b/games/zsnes/zsnes.SlackBuild
@@ -22,13 +22,14 @@
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=zsnes
-VERSION=1.51
-ZSNESSRC=151src
-ZSNESDIR=_1_51
+VERSION=1.51b
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+ZSNESSRC="$(echo $VERSION | tr -d .)src"
+ZSNESDIR="_$(echo $VERSION | tr . _)"
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -77,28 +78,29 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
-if [ -d $PKG/usr/man ]; then
- ( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
- )
-fi
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Add a .desktop file and icon for good menu integration
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+install -m 0644 $CWD/zsnes.desktop $PKG/usr/share/applications/zsnes.desktop
+install -m 0644 $CWD/zsnes.png $PKG/usr/share/pixmaps/zsnes.png
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a docs/* $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs/* $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-# Add a .desktop file and icon for good menu integration
-install -D -m 0644 $CWD/zsnes.desktop $PKG/usr/share/applications/zsnes.desktop
-install -D -m 0644 $CWD/zsnes.png $PKG/usr/share/pixmaps/zsnes.png
-
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/zsnes/zsnes.desktop b/games/zsnes/zsnes.desktop
index ae8943f454..61b9fc4dc2 100644
--- a/games/zsnes/zsnes.desktop
+++ b/games/zsnes/zsnes.desktop
@@ -2,7 +2,7 @@
Name=ZSNES
Comment=SNES Emulator
Exec=zsnes
-Icon=/usr/share/pixmaps/zsnes.png
+Icon=zsnes
Terminal=false
Type=Application
Categories=GNOME;GTK;Qt;KDE;Game;
diff --git a/games/zsnes/zsnes.info b/games/zsnes/zsnes.info
index 392d09185f..5c56f6faee 100644
--- a/games/zsnes/zsnes.info
+++ b/games/zsnes/zsnes.info
@@ -1,8 +1,10 @@
PRGNAM="zsnes"
-VERSION="1.51"
+VERSION="1.51b"
HOMEPAGE="http://www.zsnes.com"
-DOWNLOAD="http://prdownloads.sourceforge.net/zsnes/zsnes151src.tar.bz2"
-MD5SUM="7071186bf80632ae88a153239498d8c9"
+DOWNLOAD="http://zsnes.sf.net/zsnes151bsrc.tar.bz2"
+MD5SUM="904ee432f378609176ed30c01cf6ea28"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64=""
MAINTAINER="Antonio HernŠndez Blas"
EMAIL="hba.nihilismus@gmail.com"
-APPROVED="David Somero,rworkman"
+APPROVED="rworkman"